---
meta:
  title: Wireframes
  description: Select from a multitude of Vuetify Material Design layouts built to help kickstart your application.
  keywords: pre-defined layouts, layouts, application layout, material design layouts
related:
  - /components/application/
  - /features/theme/
  - /resources/themes/
---
<script setup>
  import WireframeExamples from '@/components/getting-started/WireframeExamples.vue'
</script>

# Wireframes

The Vuetify **layout system** makes it easy to rapidly scaffold an application's UI regions with little effort.

## Examples

These templates are known as **wireframes** and are designed to provide a consistent approach to layouts, layering, and shadows. They are a starting point that is meant to be modified to meet the specific needs of your application.

<wireframe-examples />

<alert type="info">

  Additional information on how these templates are structured is located on the [Application page](/components/application/).

</alert>
